Subject: Re: linux-next: add utrace tree

From: Roland McGrath <[email-masked]>
Date: Wed, 20 Jan 2010 17:22:38 -0800 (PST)

> Frank, please be clear as to which branch you want included (master or
> utrace-ptrace).  Also note that neither of those branches matches what
> was posted in the sense that they both have lots of history and merges
> not represented in the patches.  (I assume that they do produce the same
> final source tree, though).

Yes, the trees do match.  I certainly never expected our ancient git
history to get merged in directly upstream.  I've made a new branch on:
	git://git.kernel.org/pub/scm/linux/kernel/git/frob/linux-2.6-utrace.git
called:
	next/master
(Actually it's on master.kernel.org and the public mirror is being a little
slow as I write this.)

This starts from v2.6.33-rc4 and then has commits for the 7 patches that
Oleg posted in December.  Beyond that, we've added one follow-on patch to
fix a bug Oleg just tracked down (Oleg will post that patch soon).  And
I've added one more commit with a MAINTAINERS update, shown below.

You can also find the same stuff from the series file and patch files in:
	http://people.redhat.com/utrace/2.6-next/

If it makes things easier for linux-next to have this git branch either
rebased or merged from a different fork point, please let me know.

Thanks,
Roland

---
[PATCH] MAINTAINERS: add utrace

This updates the ptrace entry to cover utrace too.
They are part of the same maintenance effort.
Also add the utrace mailing list.

Signed-off-by: Roland McGrath <[email-masked]>
---
 MAINTAINERS |    7 +++++--
 1 files changed, 5 insertions(+), 2 deletions(-)

diff --git a/MAINTAINERS b/MAINTAINERS
index c8f47bf..8da2a0a 100644
--- a/MAINTAINERS
+++ b/MAINTAINERS
@@ -4375,15 +4375,18 @@ M:	Jim Paris <[email-masked]>
 L:	[email-masked]
 S:	Maintained
 
-PTRACE SUPPORT
+PTRACE AND UTRACE SUPPORT
 M:	Roland McGrath <[email-masked]>
 M:	Oleg Nesterov <[email-masked]>
+L:	[email-masked]
 S:	Maintained
 F:	include/asm-generic/syscall.h
 F:	include/linux/ptrace.h
 F:	include/linux/regset.h
 F:	include/linux/tracehook.h
-F:	kernel/ptrace.c
+F:	include/linux/utrace.h
+F:	kernel/ptrace*
+F:	kernel/utrace*
 
 PVRUSB2 VIDEO4LINUX DRIVER
 M:	Mike Isely <[email-masked]>